Name:           juce
Version:        7.0.5
Release:        0%{?dist}
Summary:        A cross-platform C++ application framework for creating desktop and mobile applications
License:        GPLv3+
URL:            https://juce.com/
Source0:        https://github.com/juce-framework/JUCE/archive/refs/tags/%{version}.tar.gz
BuildRequires:  make
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libX11-devel
BuildRequires:  pkgconfig(webkit2gtk-4.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  alsa-lib-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libcurl)

%description
JUCE is an open-source cross-platform C++ application framework for creating
high quality desktop and mobile applications, including VST, VST3, AU, AUv3,
AAX and LV2 audio plug-ins and plug-in hosts.

%package devel
Summary:        A cross-platform C++ application framework for creating desktop and mobile applications 
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files for JUCE

%prep
%autosetup -n JUCE-%{version}


%build
%cmake -DJUCE_BUILD_EXAMPLES=OFF -DJUCE_BUILD_EXTRAS=OFF \
  -DJUCE_INSTALL_DESTINATION=%{_lib}/cmake/JUCE-%{version}
%cmake_build


%install
%cmake_install


%files
%doc README.md
%license LICENSE.md
%{_bindir}/JUCE-%{version}/juceaide
%{_bindir}/JUCE-%{version}/juce_lv2_helper
%{_libdir}/cmake/JUCE-%{version}/*.cmake
%{_libdir}/cmake/JUCE-%{version}/*.in
%{_libdir}/cmake/JUCE-%{version}/*.cpp
%{_libdir}/cmake/JUCE-%{version}/*.storyboard
%{_libdir}/cmake/JUCE-%{version}/*.nib

%files devel
%{_includedir}/JUCE-%{version}

%changelog
* Tue Jun 13 2023 Benson Muite <benson_muite@emailplus.org> - 1.02-0
- Initial Packaging
